ReferenceRest

Send email as agent

Sends one outbound email from one of the agent's connected Gmail accounts.

POST
/api/v1/agents/{agentHandle}/actions/send-email

Sends one outbound email from one of the agent's connected Gmail accounts.

Authorization

AuthorizationBearer <token>

Use Authorization: Bearer <salestouch_api_key>.

In: header

Path Parameters

agentHandle*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://www.salestouch.io/api/v1/agents/string/actions/send-email" \  -H "Content-Type: application/json" \  -d '{    "leadEmail": "user@example.com"  }'
{
  "data": {
    "messageId": "string",
    "sentAt": "2019-08-24T14:15:22Z",
    "agentEmailAccountId": "string",
    "agentEmailAccountEmail": "user@example.com",
    "leadId": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}